php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #75144 apcu needs something like "opcache.restrict_api"
Submitted: 2017-09-01 11:23 UTC Modified: -
From: spam2 at rhsoft dot net Assigned:
Status: Open Package: APC (PECL)
PHP Version: Irrelevant OS: Irrelevant
Private report: No CVE-ID:
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: spam2 at rhsoft dot net
New email:
PHP Version: OS:

 

 [2017-09-01 11:23 UTC] spam2 at rhsoft dot net
Description:
------------
with "opcache.restrict_api=/usr/share/php/opcache.php" you can restrict cache-status especially list cached URLs to a specific file path and protect that one from outside access

for "apcu" you cuurently need to disallow "APCUIterator" and "apcu_cache_info, apcu_clear_cache, apcu_sma_info" and since all the disable_functions / disable_classes stuff don't work PER_DIR you have either no status infos at all or can't protect against abuse on a shared host




Patches

Add a Patch

Pull Requests

Add a Pull Request

 
PHP Copyright © 2001-2017 The PHP Group
All rights reserved.
Last updated: Tue Aug 29 15:01:52 2017 UTC